/// <reference path="../ContentMarker.ts" />
/**
 * These are the overall results of the roll. Every attack will have at least one of these.
 * If making a new description, you should clone it for each CombatResult variant.
 */
class CombatHit extends ContentMarker {
    public static MISS = new CombatHit("Miss", true);
    public static HIT = new CombatHit("Hit", true);
    public static CRITICAL = new CombatHit("Strong Hit", true);
}

/**
 * These are markers that explain what happened because of the attack.
 * They are mandatory.
 * When making an attack, you should clone the description for each of those, adding this information to it.
 */
class CombatResult extends ContentMarker {
    public static KNOCKED = new CombatResult("Target was knocked down by the attack", true);
    public static KNOCKED_OFF = new CombatResult("Target was knocked off by the attack, becoming unconscious", true);
    public static KILLED = new CombatResult("Target was killed by this attack", true);
}